JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
PerformanceCounter::Statistics Struct Reference
juce_core » time

Holds the current statistics. More...

`#include <juce_PerformanceCounter.h>`

## Public Member Functions
| Statistics () noexcept
void | clear () noexcept
String | toString () const
void | addResult (double elapsed) noexcept

## Public Attributes
String | name
double | averageSeconds
double | maximumSeconds
double | minimumSeconds
double | totalSeconds
int64 | numRuns

## Detailed Description

Holds the current statistics.

## Constructor & Destructor Documentation

## ◆ Statistics()

PerformanceCounter::Statistics::Statistics | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ clear()

void PerformanceCounter::Statistics::clear | ( |  | ) |
| noexcept

## ◆ toString()

String PerformanceCounter::Statistics::toString | ( |  | ) | const

## ◆ addResult()

void PerformanceCounter::Statistics::addResult | ( | double | elapsed | ) |
| noexcept

## Member Data Documentation

## ◆ name

String PerformanceCounter::Statistics::name

## ◆ averageSeconds

double PerformanceCounter::Statistics::averageSeconds

## ◆ maximumSeconds

double PerformanceCounter::Statistics::maximumSeconds

## ◆ minimumSeconds

double PerformanceCounter::Statistics::minimumSeconds

## ◆ totalSeconds

double PerformanceCounter::Statistics::totalSeconds

## ◆ numRuns

int64 PerformanceCounter::Statistics::numRuns

The documentation for this struct was generated from the following file:

- juce_PerformanceCounter.h